Index: src/edu/ucsb/nceas/metacat/util/OrganizationUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/util/OrganizationUtil.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/util/OrganizationUtil.java	(revision 5015)
@@ -29,6 +29,7 @@
 import java.util.Vector;
 
 import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import edu.ucsb.nceas.utilities.StringUtil;
 
Index: src/edu/ucsb/nceas/metacat/util/EMLVersionsTransformer.java
===================================================================
--- src/edu/ucsb/nceas/metacat/util/EMLVersionsTransformer.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/util/EMLVersionsTransformer.java	(revision 5015)
@@ -35,11 +35,11 @@
 
 import org.apache.log4j.Logger;
 
-import edu.ucsb.nceas.metacat.DBConnection;
-import edu.ucsb.nceas.metacat.DBConnectionPool;
 import edu.ucsb.nceas.metacat.DocumentImpl;
 import edu.ucsb.nceas.metacat.DocumentImplWrapper;
 import edu.ucsb.nceas.metacat.McdbException;
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
 import edu.ucsb.nceas.metacat.service.PropertyService;
 
 import javax.xml.transform.TransformerFactory;
Index: src/edu/ucsb/nceas/metacat/AuthSession.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AuthSession.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/AuthSession.java	(revision 5015)
@@ -36,8 +36,8 @@
 import org.apache.log4j.Logger;
 
 import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.metacat.util.AuthUtil;
-import edu.ucsb.nceas.metacat.util.MetacatUtilException;
 
 /**
  * A Class that implements session tracking for MetaCatServlet users.
Index: src/edu/ucsb/nceas/metacat/harvesterClient/Harvester.java
===================================================================
--- src/edu/ucsb/nceas/metacat/harvesterClient/Harvester.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/harvesterClient/Harvester.java	(revision 5015)
@@ -44,7 +44,7 @@
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.service.ServiceException;
+import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
Index: src/edu/ucsb/nceas/metacat/EML201DocumentCorrector.java
===================================================================
--- src/edu/ucsb/nceas/metacat/EML201DocumentCorrector.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/EML201DocumentCorrector.java	(revision 5015)
@@ -4,6 +4,8 @@
 
 import org.apache.log4j.Logger;
 
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
 import edu.ucsb.nceas.metacat.service.PropertyService;
 
 /**
Index: src/edu/ucsb/nceas/metacat/service/SessionService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/service/SessionService.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/service/SessionService.java	(revision 5015)
@@ -30,6 +30,8 @@
 
 import org.apache.log4j.Logger;
 
+import edu.ucsb.nceas.metacat.shared.BaseService;
+import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.util.SessionData;
 
 public class SessionService extends BaseService {
@@ -44,7 +46,9 @@
 	/**
 	 * private constructor since this is a singleton
 	 */
-	private SessionService() throws ServiceException {
+	private SessionService() throws ServiceException {		
+		_serviceName = "SessionService";
+		
 		sessionHash = new Hashtable<String, SessionData>();
 		logMetacat.debug("Registering public session id: " + PUBLIC_SESSION_ID);
 		registerSession(PUBLIC_SESSION_ID, "public", null, null);
Index: src/edu/ucsb/nceas/metacat/service/SkinPropertyService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/service/SkinPropertyService.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/service/SkinPropertyService.java	(revision 5015)
@@ -39,8 +39,10 @@
 
 import org.apache.log4j.Logger;
 
+import edu.ucsb.nceas.metacat.shared.BaseService;
+import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
+import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.util.SkinUtil;
-import edu.ucsb.nceas.metacat.util.MetacatUtilException;
 import edu.ucsb.nceas.utilities.FileUtil;
 import edu.ucsb.nceas.utilities.GeneralPropertyException;
 import edu.ucsb.nceas.utilities.MetaDataProperty;
@@ -75,6 +77,8 @@
 	 */
 	private SkinPropertyService() throws ServiceException {
 		try {
+			_serviceName = "SkinPropertyService";
+			
 			initialize();
 		} catch (GeneralPropertyException gpe) {
 			throw new ServiceException(
Index: src/edu/ucsb/nceas/metacat/DBUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBUtil.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/DBUtil.java	(revision 5015)
@@ -47,6 +47,8 @@
 
 import org.apache.log4j.Logger;
 
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
 import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
Index: src/edu/ucsb/nceas/metacat/util/AuthUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/util/AuthUtil.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/util/AuthUtil.java	(revision 5015)
@@ -34,8 +34,9 @@
 
 import edu.ucsb.nceas.metacat.AuthSession;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.service.ServiceException;
 import edu.ucsb.nceas.metacat.service.SessionService;
+import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
+import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import edu.ucsb.nceas.utilities.StringUtil;
 
Index: src/edu/ucsb/nceas/metacat/util/DatabaseUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/util/DatabaseUtil.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/util/DatabaseUtil.java	(revision 5015)
@@ -32,8 +32,9 @@
 
 import org.apache.log4j.Logger;
 
-import edu.ucsb.nceas.metacat.DBVersion;
+import edu.ucsb.nceas.metacat.database.DBVersion;
 import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 public class DatabaseUtil {
Index: src/edu/ucsb/nceas/metacat/util/SystemUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/util/SystemUtil.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/util/SystemUtil.java	(revision 5015)
@@ -36,8 +36,9 @@
 
 import edu.ucsb.nceas.metacat.MetaCatVersion;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.service.ServiceException;
 import edu.ucsb.nceas.metacat.service.ServiceService;
+import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
+import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.utilities.FileUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import edu.ucsb.nceas.utilities.StringUtil;
Index: src/edu/ucsb/nceas/metacat/util/ResponseUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/util/ResponseUtil.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/util/ResponseUtil.java	(revision 5015)
@@ -41,7 +41,8 @@
 import org.apache.log4j.Logger;
 
 import edu.ucsb.nceas.metacat.DBTransform;
-import edu.ucsb.nceas.shared.BaseException;
+import edu.ucsb.nceas.metacat.shared.BaseException;
+import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.utilities.FileUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
Index: src/edu/ucsb/nceas/metacat/AccessControlForSingleFile.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AccessControlForSingleFile.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/AccessControlForSingleFile.java	(revision 5015)
@@ -36,6 +36,8 @@
 import java.net.MalformedURLException;
 import org.apache.log4j.Logger;
 
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 
Index: src/edu/ucsb/nceas/metacat/harvesterClient/HarvesterRegistration.java
===================================================================
--- src/edu/ucsb/nceas/metacat/harvesterClient/HarvesterRegistration.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/harvesterClient/HarvesterRegistration.java	(revision 5015)
@@ -45,7 +45,7 @@
 import javax.servlet.http.HttpSession;
 
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.service.ServiceException;
+import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 /**
Index: lib/admin/metacat-configuration.jsp
===================================================================
--- lib/admin/metacat-configuration.jsp	(revision 5014)
+++ lib/admin/metacat-configuration.jsp	(revision 5015)
@@ -1,5 +1,5 @@
 <%@ page language="java"  %>
-<%@ page import="edu.ucsb.nceas.metacat.DBVersion,edu.ucsb.nceas.metacat.MetaCatVersion" %>
+<%@ page import="edu.ucsb.nceas.metacat.database.DBVersion,edu.ucsb.nceas.metacat.MetaCatVersion" %>
 <%@ page import="edu.ucsb.nceas.metacat.service.PropertyService" %>
 
 <%
Index: src/edu/ucsb/nceas/metacat/DBValidate.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBValidate.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/DBValidate.java	(revision 5015)
@@ -42,6 +42,8 @@
 
 import com.arbortext.catalog.*;
 
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
 import edu.ucsb.nceas.metacat.service.PropertyService;
 
 /**
Index: src/edu/ucsb/nceas/metacat/QuerySpecification.java
===================================================================
--- src/edu/ucsb/nceas/metacat/QuerySpecification.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/QuerySpecification.java	(revision 5015)
@@ -36,8 +36,8 @@
 import java.util.Stack;
 import java.util.Vector;
 
+import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
-import edu.ucsb.nceas.metacat.util.MetacatUtilException;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 //import edu.ucsb.nceas.utilities.UtilException;
 
Index: src/edu/ucsb/nceas/metacat/SubTree.java
===================================================================
--- src/edu/ucsb/nceas/metacat/SubTree.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/SubTree.java	(revision 5015)
@@ -36,6 +36,8 @@
 import org.apache.log4j.Logger;
 import org.xml.sax.SAXException;
 
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 /**
Index: src/edu/ucsb/nceas/metacat/IndexingQueue.java
===================================================================
--- src/edu/ucsb/nceas/metacat/IndexingQueue.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/IndexingQueue.java	(revision 5015)
@@ -33,6 +33,8 @@
 import java.util.HashMap;
 import java.lang.Comparable;
 
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
 import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
Index: src/edu/ucsb/nceas/metacat/advancedsearch/AdvancedSearchServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/advancedsearch/AdvancedSearchServlet.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/advancedsearch/AdvancedSearchServlet.java	(revision 5015)
@@ -37,7 +37,7 @@
 
 import edu.ucsb.nceas.metacat.client.*;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.service.ServiceException;
+import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
Index: src/edu/ucsb/nceas/metacat/advancedsearch/BrowseServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/advancedsearch/BrowseServlet.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/advancedsearch/BrowseServlet.java	(revision 5015)
@@ -38,7 +38,7 @@
 
 import edu.ucsb.nceas.metacat.client.*;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.service.ServiceException;
+import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
Index: src/edu/ucsb/nceas/metacat/advancedsearch/SearchServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/advancedsearch/SearchServlet.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/advancedsearch/SearchServlet.java	(revision 5015)
@@ -37,7 +37,7 @@
 
 import edu.ucsb.nceas.metacat.client.*;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.service.ServiceException;
+import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
Index: src/edu/ucsb/nceas/metacat/advancedsearch/LoginServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/advancedsearch/LoginServlet.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/advancedsearch/LoginServlet.java	(revision 5015)
@@ -38,7 +38,7 @@
 
 import edu.ucsb.nceas.metacat.client.*;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.service.ServiceException;
+import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
Index: src/edu/ucsb/nceas/metacat/spatial/SpatialHarvester.java
===================================================================
--- src/edu/ucsb/nceas/metacat/spatial/SpatialHarvester.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/spatial/SpatialHarvester.java	(revision 5015)
@@ -31,7 +31,7 @@
 
 import org.apache.log4j.Logger;
 
-import edu.ucsb.nceas.metacat.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnection;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 import org.geotools.feature.Feature;
Index: src/edu/ucsb/nceas/metacat/spatial/SpatialDocument.java
===================================================================
--- src/edu/ucsb/nceas/metacat/spatial/SpatialDocument.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/spatial/SpatialDocument.java	(revision 5015)
@@ -24,7 +24,7 @@
 
 import java.io.File;
 
-import edu.ucsb.nceas.metacat.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnection;
 import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
Index: src/edu/ucsb/nceas/metacat/AssociateAccessPolicy.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AssociateAccessPolicy.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/AssociateAccessPolicy.java	(revision 5015)
@@ -49,7 +49,10 @@
 
 import org.apache.log4j.Logger;
 
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
 
+
 /**This class is in order to fix a problem. It doesn't has functionality for 
  *Metacat. 
  *In Currently, some document in xml_document table doesn't have entries in 
Index: src/edu/ucsb/nceas/metacat/ArchiveHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ArchiveHandler.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/ArchiveHandler.java	(revision 5015)
@@ -35,8 +35,9 @@
 import org.apache.log4j.Logger;
 
 import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.shared.HandlerException;
+import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.metacat.util.ErrorSendingErrorException;
-import edu.ucsb.nceas.metacat.util.MetacatUtilException;
 import edu.ucsb.nceas.metacat.util.ResponseUtil;
 import edu.ucsb.nceas.utilities.FileUtil;
 import edu.ucsb.nceas.utilities.LSIDUtil;
Index: src/edu/ucsb/nceas/metacat/DocumentIdQuery.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DocumentIdQuery.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/DocumentIdQuery.java	(revision 5015)
@@ -27,7 +27,7 @@
 import java.util.Hashtable;
 
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.service.ServiceException;
+import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 /**
Index: src/edu/ucsb/nceas/metacat/MetaCatServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/MetaCatServlet.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/MetaCatServlet.java	(revision 5015)
@@ -74,31 +74,37 @@
 import com.oreilly.servlet.multipart.Part;
 
 import edu.ucsb.nceas.metacat.cart.CartManager;
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
+import edu.ucsb.nceas.metacat.database.DatabaseService;
 import edu.ucsb.nceas.metacat.dataquery.DataQuery;
+import edu.ucsb.nceas.metacat.replication.ForceReplicationHandler;
+import edu.ucsb.nceas.metacat.replication.ReplicationService;
 import edu.ucsb.nceas.metacat.scheduler.SchedulerService;
-import edu.ucsb.nceas.metacat.service.DatabaseService;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.service.ServiceException;
 import edu.ucsb.nceas.metacat.service.ServiceService;
 import edu.ucsb.nceas.metacat.service.SessionService;
 import edu.ucsb.nceas.metacat.service.SkinPropertyService;
 import edu.ucsb.nceas.metacat.service.XMLSchemaService;
+import edu.ucsb.nceas.metacat.shared.BaseException;
+import edu.ucsb.nceas.metacat.shared.HandlerException;
+import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
+import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.spatial.SpatialHarvester;
 import edu.ucsb.nceas.metacat.spatial.SpatialQuery;
 import edu.ucsb.nceas.metacat.util.AuthUtil;
 import edu.ucsb.nceas.metacat.util.ErrorSendingErrorException;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
-import edu.ucsb.nceas.metacat.util.MetacatUtilException;
 import edu.ucsb.nceas.metacat.util.RequestUtil;
 import edu.ucsb.nceas.metacat.util.ResponseUtil;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.metacat.util.SessionData;
 import edu.ucsb.nceas.metacat.workflow.WorkflowScheduler;
-import edu.ucsb.nceas.shared.BaseException;
 import edu.ucsb.nceas.utilities.FileUtil;
 import edu.ucsb.nceas.utilities.GeneralPropertyException;
 import edu.ucsb.nceas.utilities.LSIDUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
+import edu.ucsb.nceas.utilities.UtilException;
 
 /**
  * A metadata catalog server implemented as a Java Servlet
@@ -173,6 +179,7 @@
     public static final String XMLFORMAT = "xml";
     private static final String FALSE = "false";
     private static final String TRUE  = "true";
+    private static String LOG_CONFIG_NAME = null;
     
     /**
      * Initialize the servlet by creating appropriate database connections
@@ -194,11 +201,11 @@
             // Initialize the properties file
             String dirPath = ServiceService.getRealConfigDir();
             
-            String LOG_CONFIG_NAME = dirPath + "/log4j.properties";
+            LOG_CONFIG_NAME = dirPath + "/log4j.properties";
             PropertyConfigurator.configureAndWatch(LOG_CONFIG_NAME);
             
             // Register preliminary services
-            ServiceService.registerService("PropertyService", PropertyService.getInstance());
+            ServiceService.registerService("PropertyService", PropertyService.getInstance());         
             ServiceService.registerService("SkinPropertyService", SkinPropertyService.getInstance());
             ServiceService.registerService("SessionService", SessionService.getInstance()); 
             
@@ -218,9 +225,9 @@
         		"Service problem while intializing MetaCat Servlet: " + se.getMessage();
             logMetacat.error(errorMessage);
             throw new ServletException(errorMessage);
-        } catch (MetacatUtilException ue) {
-        	String errorMessage = 
-        		"Utility problem while intializing MetaCat Servlet: " + ue.getMessage();
+        } catch (MetacatUtilException mue) {
+        	String errorMessage = "Metacat utility problem while intializing MetaCat Servlet: " 
+        		+ mue.getMessage();
             logMetacat.error(errorMessage);
             throw new ServletException(errorMessage);
         } 
@@ -235,6 +242,7 @@
 	 *            the servlet context of MetaCatServlet
 	 */
 	public void initSecondHalf(ServletContext context) throws ServletException {
+		
 		Logger logMetacat = Logger.getLogger(MetaCatServlet.class);
 
 		try {			
@@ -310,7 +318,24 @@
 			} else {
 				logMetacat.info(" \n **** Spatial cache is not set to regenerate on restart");
 			}
+		
+			// Set up the replication log file by setting the "replication.logfile.name" 
+			// system property and reconfiguring the log4j property configurator.
+			String replicationLogPath = PropertyService.getProperty("replication.logdir") 
+				+ FileUtil.getFS() + ReplicationService.REPLICATION_LOG_FILE_NAME;				
+			
+			if (FileUtil.getFileStatus(replicationLogPath) == FileUtil.DOES_NOT_EXIST) {
+				FileUtil.createFile(replicationLogPath);
+			}
 
+			if (FileUtil.getFileStatus(replicationLogPath) < FileUtil.EXISTS_READ_WRITABLE) {
+				logMetacat.error("Replication log file: " + replicationLogPath 
+						+ " does not exist read/writable.");
+			}
+			
+			System.setProperty("replication.logfile.name", replicationLogPath);			
+			PropertyConfigurator.configureAndWatch(LOG_CONFIG_NAME);
+			
 			sitemapScheduled = false;
 
 			fullyInitialized = true;
@@ -317,7 +342,7 @@
 			
 			logMetacat.warn("Metacat (" + MetaCatVersion.getVersionID()
 					+ ") initialized.");
-
+			
 		} catch (SQLException e) {
 			String errorMessage = "SQL problem while intializing MetaCat Servlet: "
 					+ e.getMessage();
@@ -338,7 +363,12 @@
 				+ se.getMessage();
 			logMetacat.error(errorMessage);
 			throw new ServletException(errorMessage);
-		} 
+		} catch (UtilException ue) {
+        	String errorMessage = "Utility problem while intializing MetaCat Servlet: " 
+        		+ ue.getMessage();
+            logMetacat.error(errorMessage);
+            throw new ServletException(errorMessage);
+        } 
 	}
     
     /**
Index: src/edu/ucsb/nceas/metacat/EventLog.java
===================================================================
--- src/edu/ucsb/nceas/metacat/EventLog.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/EventLog.java	(revision 5015)
@@ -31,6 +31,9 @@
 
 import org.apache.log4j.Logger;
 
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
+
 /**
  * EventLog is used to intialize and store a log of events that occur in an
  * application. The events are registered with the logger as they occur, but
Index: src/edu/ucsb/nceas/metacat/ContentTypeProvider.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ContentTypeProvider.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/ContentTypeProvider.java	(revision 5015)
@@ -56,6 +56,8 @@
 
 import org.ecoinformatics.eml.EMLParser;
 
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
 import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
Index: src/edu/ucsb/nceas/metacat/IndexingTimerTask.java
===================================================================
--- src/edu/ucsb/nceas/metacat/IndexingTimerTask.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/IndexingTimerTask.java	(revision 5015)
@@ -33,7 +33,9 @@
 import java.util.Vector;
 import java.util.Iterator;
 
-import edu.ucsb.nceas.metacat.service.DatabaseService;
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
+import edu.ucsb.nceas.metacat.database.DatabaseService;
 import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
Index: src/edu/ucsb/nceas/metacat/PermissionController.java
===================================================================
--- src/edu/ucsb/nceas/metacat/PermissionController.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/PermissionController.java	(revision 5015)
@@ -36,6 +36,8 @@
 
 import org.apache.log4j.Logger;
 
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
 import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
